Bug 25386 - [patch] viewing attached images doesn't work
[patch] viewing attached images doesn't work
Product: Red Hat Linux
Classification: Retired
Component: pine (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Florence RC-1
Depends On:
  Show dependency treegraph
Reported: 2001-01-31 11:38 EST by Tim Waugh
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-03 06:34:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
pine-4.32-tmp.patch (298 bytes, patch)
2001-01-31 13:41 EST, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2001-01-31 11:38:19 EST
Viewing attached images in pine doesn't work: ee gets launched, but for
some reason the file it's told to look at has gone by the time it does.

The strace output suggests that the shell is exiting too early, but I
haven't investigated much yet, and was unable to reproduce the problem
outside of pine.
Comment 1 Tim Waugh 2001-01-31 11:49:56 EST
pine-4.31-2 works fine; pine-4.32-1 doesn't.
Comment 2 Tim Waugh 2001-01-31 13:41:09 EST
Created attachment 8581 [details]
Comment 3 Tim Waugh 2001-01-31 13:44:37 EST
The above patch is the correct fix, I think

Rationale: Pine is actually executing:

	sh -c '( cmd-read-from-mailcap tmpfile ; rm tmpfile ) &'

The new change in 4.32 was equivalent to this kind of thing:

  fork ( exec )
+ unlink (tmpfile)

So tmpfile was disappearing because the (show file; rm file) process was
backgrounded and the shell returned, and in 4.32 it removes the file, needlessly
since the backgrounded task will do that when the viewer exits.
Comment 4 Glen Foster 2001-01-31 16:51:48 EST
This defect is considered MUST-FIX for Florence Release-Candidate #1
Comment 5 Tim Waugh 2001-02-03 06:34:46 EST
4.33 has this fix in.
Comment 6 Mike A. Harris 2001-02-06 11:28:43 EST
Yes, 4.33 has fixed this and will be in rawhide real soon.

Note You need to log in before you can comment on or make changes to this bug.